Download it now!
Bug 44270 - GTK+ file picker: Writer Alphabetical Index Concordance file created without extension
Summary: GTK+ file picker: Writer Alphabetical Index Concordance file created without ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.3.0 target:4.2.1
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-29 05:33 UTC by Massimo Barbieri
Modified: 2014-02-04 12:40 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Massimo Barbieri 2011-12-29 05:33:35 UTC
If you try to create an alphabetical index (Insert>Index>Index) with a concordance file and you create a new concordance file from the index dialog window, the file is created on your file system without the extension .sdi.
Best regards,
Massimo Barbieri
Comment 1 sasha.libreoffice 2012-05-03 06:21:08 UTC
Thanks for bugreport
reproduced in 3.5.3 on Fedora 64 bit
not reproduced in 3.5.2 on Windows 7
Therefore, Linux specific bug
Comment 2 peter Roots 2012-07-08 12:15:34 UTC
still does this in 3.5.4.2 on linux (and does not work anyway see https://bugs.freedesktop.org/show_bug.cgi?id=46410)
Comment 3 Owen Genat (retired) 2014-01-26 04:59:21 UTC
Summary edited for clarity. To be clear these files are created via Insert > Indexes and Tables > Indexes and Tables... > Index/Table tab 

 - Type and title section > type of "Alphabetical Index"
 - Options section > check "Concordance file" > pull-down list select "New..."
 - On the Save dialog, enter a file name > click Save.

The resultant file will have a name ending in a full stop, but no "sdi" extension. This additionally means that when searching for an existing concordance file, none of the saved files show up in the LO browser. There are of course several easy workarounds, but I wanted to point this out.

Above behaviour tested under Ubuntu 10.04 x86_64 using:

- v3.3.0.4 OOO330m19 Build: 6
- v3.4.6.2 OOO340m1 Build: 602
- v3.5.7.2 Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
- v3.6.7.2 Build ID: e183d5b
- v4.0.6.2 Build ID: 2e2573268451a50806fcd60ae2d9fe01dd0ce24
- v4.1.4.2 Build ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72

In all cases the concordance file is not saved with an extension. Version set to Inherited From OOo.
Comment 4 Andras Timar 2014-02-03 22:04:09 UTC
The bug is not reproducible with LibreOffice's own file picker dialog.
Comment 5 Michael Stahl (CIB) 2014-02-03 23:13:09 UTC
apparently problem in the GTK+ file picker - with SAL_USE_VCLPLUGIN=gen it's working

... so changing the STR_AUTOMARK_TYPE string from "...  (*.sdi)" to "... (.sdi)" fixes it but that is a bit lame...

... ah found a better fix for the GTK+ file picker.
Comment 6 Commit Notification 2014-02-03 23:13:36 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ff5ad7e379315faa3f4afa009d23f34c7d231d9a

fdo#44270: vcl: GTK+ file picker: fix non-grouped filter patterns



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-02-04 12:40:33 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dc996e36e97aaafe09c28b63cbefc68454f17d2e&h=libreoffice-4-2

fdo#44270: vcl: GTK+ file picker: fix non-grouped filter patterns


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.